%global debug_package %{nil}

Name:           ctre
Version:        3.8.1
Release:        1%{?dist}
Summary:        Compile Time Regular Expression in C++ (single-header)

License:        Apache-2.0
URL:            https://github.com/hanickadot/compile-time-regular-expressions
Source0:        https://github.com/hanickadot/compile-time-regular-expressions/archive/refs/tags/v3.8.1.tar.gz


BuildRequires: git
BuildRequires: cmake
BuildRequires: gcc-c++

%description
Compile Time Regular Expression in C++ (single-header)

%package devel
Summary: Development files for %{name}
Provides: ctre-static = %{version}-%{release}

%description devel
Compile Time Regular Expression in C++ (single-header)

%prep
%autosetup -n compile-time-regular-expressions-%{version} -p1

%build
%cmake

%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%license LICENSE
%doc README.md NOTES.md docs/api.rst docs/conf.py docs/examples.rst docs/index.rst docs/regex_syntax.rst

%{_includedir}/ctll.hpp
%{_includedir}/ctll/actions.hpp
%{_includedir}/ctll/fixed_string.hpp
%{_includedir}/ctll/grammars.hpp
%{_includedir}/ctll/list.hpp
%{_includedir}/ctll/parser.hpp
%{_includedir}/ctll/utilities.hpp
%{_includedir}/ctre-unicode.hpp
%{_includedir}/ctre.hpp
%{_includedir}/ctre/actions/asserts.inc.hpp
%{_includedir}/ctre/actions/atomic_group.inc.hpp
%{_includedir}/ctre/actions/backreference.inc.hpp
%{_includedir}/ctre/actions/boundaries.inc.hpp
%{_includedir}/ctre/actions/capture.inc.hpp
%{_includedir}/ctre/actions/characters.inc.hpp
%{_includedir}/ctre/actions/class.inc.hpp
%{_includedir}/ctre/actions/fusion.inc.hpp
%{_includedir}/ctre/actions/hexdec.inc.hpp
%{_includedir}/ctre/actions/look.inc.hpp
%{_includedir}/ctre/actions/mode.inc.hpp
%{_includedir}/ctre/actions/named_class.inc.hpp
%{_includedir}/ctre/actions/options.inc.hpp
%{_includedir}/ctre/actions/properties.inc.hpp
%{_includedir}/ctre/actions/repeat.inc.hpp
%{_includedir}/ctre/actions/sequence.inc.hpp
%{_includedir}/ctre/actions/set.inc.hpp
%{_includedir}/ctre/atoms.hpp
%{_includedir}/ctre/atoms_characters.hpp
%{_includedir}/ctre/atoms_unicode.hpp
%{_includedir}/ctre/evaluation.hpp
%{_includedir}/ctre/find_captures.hpp
%{_includedir}/ctre/first.hpp
%{_includedir}/ctre/flags_and_modes.hpp
%{_includedir}/ctre/functions.hpp
%{_includedir}/ctre/id.hpp
%{_includedir}/ctre/iterators.hpp
%{_includedir}/ctre/literals.hpp
%{_includedir}/ctre/operators.hpp
%{_includedir}/ctre/pcre.hpp
%{_includedir}/ctre/pcre_actions.hpp
%{_includedir}/ctre/range.hpp
%{_includedir}/ctre/return_type.hpp
%{_includedir}/ctre/rotate.hpp
%{_includedir}/ctre/starts_with_anchor.hpp
%{_includedir}/ctre/utf8.hpp
%{_includedir}/ctre/utility.hpp
%{_includedir}/ctre/wrapper.hpp
%{_includedir}/unicode-db.hpp
%{_includedir}/unicode-db/unicode-db.hpp
%{_includedir}/unicode-db/unicode_interface.hpp
%{_datadir}/cmake/ctre/ctre-targets.cmake
%{_datadir}/cmake/ctre/ctre-config-version.cmake
%{_datadir}/cmake/ctre/ctre-config.cmake
%{_datadir}/pkgconfig/ctre.pc

%changelog
* Wed Nov  1 2023 Andrew Potter <agpotter@gmail.com> - 3.8.1-1
- Release 3.8.1

* Thu Dec 29 2022 Andrew Potter <agpotter@gmail.com> - v3.7.1
- Initial version of package
